Topic Title: Fedora core 17 kernel 3.9 - apu -e-350 with hd6310 install catalyst 13.11
Topic Summary: How to install
Created On: 01/03/2014 07:53 AM
Status: Post and Reply
Linear : Threading : Single : Branch
Search Topic Search Topic
Topic Tools Topic Tools
View similar topics View similar topics
View topic in raw text format. Print this topic.
 01/03/2014 07:53 AM
User is offline View Users Profile Print this message

Author Icon
Ubirajara
Peon

Posts: 1
Joined: 01/03/2014

To support,

I have a HP netbook(X64) with amd e-350 with HD6310 graphics working so so with nouveau driver into fedora core 17 with kernel 3.9.10.100. I downloaded last driver from amd site version 13.12 and tried to install it. 

Installer tells me that occurs errors and doesn´t install. Below I put output from installer log.

fglrx-install.log

Supported adapter detected.

Check if system has the tools required for installation.

Uninstalling any previously installed drivers.

Unloading radeon module...

Error: Module radeon is in use

Unloading drm module...

Error: Module drm is in use by: ttm drm_kms_helper radeon

[Message] Kernel Module : Trying to install a precompiled kernel module.

[Message] Kernel Module : Precompiled kernel module version mismatched.

[Message] Kernel Module : Found kernel module build environment, generating kernel module now.

AMD kernel module generator version 2.1

doing Makefile based build for kernel 2.6.x and higher

rm -rf *.c *.h *.o *.ko *.a .??* *.symvers

make -C /lib/modules/3.9.10-100.fc17.x86_64/build SUBDIRS=/usr/lib/modules/fglrx/build_mod/2.6.x modules

make[1]: Entrando no diretório `/usr/src/kernels/3.9.10-100.fc17.x86_64'

  CC [M]  /usr/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o

  CC [M]  /usr/lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.o

/usr/lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.c: In function ‘KCL_ACPI_ParseTable’:

/usr/lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.c:999:5: warning: passing argument 1 of ‘(acpi_status (*)(u32,  void *, void *))handler’ makes integer from pointer without a cast [enabled by default]

/usr/lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.c:999:5: note: expected ‘u32’ but argument is of type ‘struct acpi_table_header *’

/usr/lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.c:999:5: error: too few arguments to function ‘(acpi_status (*)(u32,  void *, void *))handler’

make[2]: ** [/usr/lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.o] Erro 1

make[1]: ** [_module_/usr/lib/modules/fglrx/build_mod/2.6.x] Erro 2

make[1]: Saindo do diretório `/usr/src/kernels/3.9.10-100.fc17.x86_64'

make: ** [kmod_build] Erro 2

build failed with return value 2

[Error] Kernel Module : Failed to compile kernel module - please consult readme.

[Reboot] Kernel Module : dracut

End log file

 

I wanna know list of packages depencies to install this driver into fc17 or a detail howto to make it work.

 

Thanks in advance.

Ubirajara



Edited: 01/03/2014 at 08:24 AM by Ubirajara
Statistics
84133 users are registered to the AMD Support and Game forum.
There are currently 8 users logged in.

FuseTalk Hosting Executive Plan v3.2 - © 1999-2014 FuseTalk Inc. All rights reserved.